Bug 477933 - xsane: please BR lcms-devel
xsane: please BR lcms-devel
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: xsane (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Nils Philippsen
Fedora Extras Quality Assurance
: EasyFix, FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-25 15:06 EST by Kevin Kofler
Modified: 2009-11-18 08:01 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-18 08:01:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kevin Kofler 2008-12-25 15:06:42 EST
Description of problem:
XSane supports color management (since version 0.993). Unfortunately, this feature is not enabled in the Fedora RPM because of a missing BuildRequires. Please add:
BuildRequires: lcms-devel

Version-Release number of selected component (if applicable):
xsane-0.995-5.fc10.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Start xsane.
2. Notice the missing "Enable color management" in the menu.
3. Notice the missing "Color management" tab in the preferences.
  
Actual results:
Those options are missing.

Expected results:
Those options are present.

Additional info:
I rebuilt xsane locally with the BR lcms-devel added and color management is working. This is a trivial 1-line fix, and it makes the difference between a usable and an unusable scanner with low-quality scanners.
Comment 1 Kevin Kofler 2009-01-19 22:57:44 EST
Ping?
Comment 2 Nils Philippsen 2009-01-20 05:22:40 EST
Sorry, xsane-0.996-2 with added BR: lcms-devel is building right now for F9, F10, Rawhide.
Comment 3 Fedora Update System 2009-01-20 06:02:20 EST
xsane-0.996-3.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/xsane-0.996-3.fc10
Comment 4 Fedora Update System 2009-01-20 06:02:29 EST
xsane-0.996-3.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/xsane-0.996-3.fc9
Comment 5 Fedora Update System 2009-01-21 16:34:08 EST
xsane-0.996-3.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update xsane'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-0805
Comment 6 Fedora Update System 2009-01-21 16:37:37 EST
xsane-0.996-3.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update xsane'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2009-0833
Comment 7 Bug Zapper 2009-11-18 05:34:07 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Kevin Kofler 2009-11-18 08:01:41 EST
The current version in dist-f10-updates is 0.997-1.fc10, which has the fix, closing.

Note You need to log in before you can comment on or make changes to this bug.